Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelFaceLoops

Returns an array of `PetscGeom` LOOP objects attached to the referenced FACE geometric entity as well as the number of LOOPs.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelFaceLoops(DM dm, PetscGeom body, PetscGeom face, PetscGeom **loops, PetscInt *numLoops) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom BODY object containing the LOOP objects of interest.

- face - PetscGeom FACE object with LOOPs of interest.

## Output Parameters

- loops - Array of PetscGeom LOOP objects referenced by the PetscGeom FACE object

- numLoops - Number of LOOPs referenced by the PetscGeom FACE object. Also the size of **loops array.

## See Also

`DMPlexGetGeomModelBodies()`, `DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages